ffmpeg-4-libpostproc-devel-4.0.2-lp151.1.5.x86_64.rpm


Advertisement

Description

ffmpeg-4-libpostproc-devel - Development files for the FFmpeg post-processing library

Property Value
Distribution openSUSE Leap 15.1
Repository openSUSE Oss all
Package filename ffmpeg-4-libpostproc-devel-4.0.2-lp151.1.5.x86_64.rpm
Package name ffmpeg-4-libpostproc-devel
Package version 4.0.2
Package release lp151.1.5
Package architecture x86_64
Package type rpm
Category Development/Libraries/C and C++
Homepage https://ffmpeg.org/
License LGPL-2.1-or-later AND GPL-2.0-or-later
Maintainer -
Download size 50.47 KB
Installed size 4.76 KB
A library with video postprocessing filters, such as deblocking and
deringing filters, noise reduction, automatic contrast and brightness
correction, linear/cubic interpolating deinterlacing.
This subpackage contains the headers for FFmpeg libpostproc.

Alternatives

Package Version Architecture Repository
ffmpeg-4-libpostproc-devel-4.0.2-2.6.aarch64.rpm 4.0.2 aarch64 Packman
ffmpeg-4-libpostproc-devel-4.0.2-lp151.2.7.i586.rpm 4.0.2 i586 Packman
ffmpeg-4-libpostproc-devel-4.0.2-lp151.2.7.x86_64.rpm 4.0.2 x86_64 Packman
ffmpeg-4-libpostproc-devel-4.0.2-lp151.2.7.armv7hl.rpm 4.0.2 armv7hl Packman
ffmpeg-4-libpostproc-devel - - -

Requires

Name Value
/usr/bin/pkg-config -
ffmpeg-4-libavutil-devel = 4.0.2-lp151.1.5
libpostproc55 = 4.0.2-lp151.1.5
pkgconfig(libavutil) >= 56.14.100

Provides

Name Value
ffmpeg-4-libpostproc-devel = 4.0.2-lp151.1.5
ffmpeg-4-libpostproc-devel(x86-64) = 4.0.2-lp151.1.5
libpostproc-devel = 4.0.2-lp151.1.5
pkgconfig(libpostproc) = 55.1.100

Conflicts

Name Value
ffmpeg-private-devel < 4
ffmpeg-private-devel >= 5
libavcodec-devel < 4
libavcodec-devel >= 5
libavdevice-devel >= 5
libavdevice-devel < 4
libavfilter-devel < 4
libavfilter-devel >= 5
libavformat-devel < 4
libavformat-devel >= 5
libavresample-devel < 4
libavresample-devel >= 5
libavutil-devel >= 5
libavutil-devel < 4
libpostproc-devel < 4
libpostproc-devel >= 5
libswresample-devel < 4
libswresample-devel >= 5
libswscale-devel < 4
libswscale-devel >= 5

Obsoletes

Name Value
libpostproc-devel < 4.0.2-lp151.1.5

Download

Type URL
Mirror widehat.opensuse.org
Binary Package ffmpeg-4-libpostproc-devel-4.0.2-lp151.1.5.x86_64.rpm
Source Package ffmpeg-4-4.0.2-lp151.1.5.src.rpm

Install Howto

Install ffmpeg-4-libpostproc-devel rpm package:

# zypper install ffmpeg-4-libpostproc-devel

Files

Path
/usr/include/ffmpeg/
/usr/include/ffmpeg/libpostproc/postprocess.h
/usr/include/ffmpeg/libpostproc/version.h
/usr/lib64/libpostproc.so
/usr/lib64/pkgconfig/libpostproc.pc

Changelog

2018-08-24 - jengelh@inai.de
- Add 0001-avformat-flvenc-Check-audio-packet-size.patch
[CVE-2018-15822, boo#1105869]
2018-08-13 - bjorn.lie@gmail.com
- Update to version 4.0.2:
* CVE-2018-13300: out of array read (boo#1100348, CVE-2018-13300)
* Various bugfixes and a revert
2018-08-11 - carmen@carmenbianca.eu
- bsc#1092241 Enable webvtt encoders and decoders.
2018-08-07 - bjorn.lie@gmail.com
- Build codec2 encoder and decoder, add libcodec2 to
enable_decoders and enable_encoders.
2018-08-06 - davejplater@gmail.com
- Enable mpeg 1 and 2 encoders.
2018-08-05 - bjorn.lie@gmail.com
- Add conditional pkgconfig(aom) BuildRequires and pass
- -enable-libaom to configure as well as add libaom and libaom_av1
to enable_decoders and enable_encoders: Build AOMedia Video 1
(AV1) support.
2018-07-31 - tchvatal@suse.com
- bsc#1103064 attempt to allow migration from the unprefixed devel
packages cleanly
2018-07-27 - tchvatal@suse.com
- Reduce the optional conditional for the SLE12 backports to
cover everything, most of the packages in old codestreams were
not really ready as they need additional baselibs/etc.
* Since these are new features user will simply wait or use TW
2018-07-27 - jengelh@inai.de
- Enable "kmsgrab" input device
2018-07-26 - tchvatal@suse.com
- Redo the nvidia condition based on review feeback

See Also

Package Description
ffmpeg-4-libswresample-devel-4.0.2-lp151.1.5.x86_64.rpm Development files for the FFmpeg software resampling library
ffmpeg-4-libswscale-devel-4.0.2-lp151.1.5.x86_64.rpm Development files for FFmpeg's image scaling and colorspace library
ffmpeg-4-private-devel-4.0.2-lp151.1.5.x86_64.rpm Some FFmpeg private headers
ffmpegthumbnailer-2.2.0-lp151.2.4.x86_64.rpm Video thumbnailer that can be used by file managers
ffmpegthumbs-18.12.3-lp151.1.1.x86_64.rpm FFmpeg-based thumbnail creator for video files
ffmpegthumbs-lang-18.12.3-lp151.1.1.noarch.rpm Translations for package ffmpegthumbs
ffmsindex-2.23.1-lp151.2.4.x86_64.rpm Wrapper library around libffmpeg
ffnvcodec-devel-8.2.15.7-lp151.1.1.x86_64.rpm FFmpeg version of NVIDIA codec API headers
ffsb-6.0_rc2-lp151.2.3.x86_64.rpm Flexible File System Benchmark
fftw3-devel-3.3.6-lp151.5.1.x86_64.rpm Include Files and Libraries mandatory for Development
fftw3-gnu-hpc-devel-3.3.6-lp151.5.1.x86_64.rpm Dependency package for fftw3_3_3_6-gnu-hpc-devel
fftw3-gnu-mpich-hpc-devel-3.3.6-lp151.5.1.x86_64.rpm Dependency package for fftw3_3_3_6-gnu-mpich-hpc-devel
fftw3-gnu-mvapich2-hpc-devel-3.3.6-lp151.5.1.x86_64.rpm Dependency package for fftw3_3_3_6-gnu-mvapich2-hpc-devel
fftw3-gnu-openmpi1-hpc-devel-3.3.6-lp151.5.1.x86_64.rpm Dependency package for fftw3_3_3_6-gnu-openmpi1-hpc-devel
fftw3-gnu-openmpi2-hpc-devel-3.3.6-lp151.5.2.x86_64.rpm Dependency package for fftw3_3_3_6-gnu-openmpi2-hpc-devel
Advertisement
Advertisement